From fe97449bf7d5757de1712d42a66b280582278901 Mon Sep 17 00:00:00 2001
From: Florian Franzmann <siflfran@hawo.stw.uni-erlangen.de>
Date: Sat, 3 May 2014 15:02:34 +0200
Subject: [PATCH] fix compile errors with array-0.5

---
 Data/BloomFilter.hs       | 3 ++-
 Data/BloomFilter/Array.hs | 3 ++-
 2 files changed, 4 insertions(+), 2 deletions(-)

diff --git a/Data/BloomFilter.hs b/Data/BloomFilter.hs
index 69711ef..7a284b8 100644
--- a/Data/BloomFilter.hs
+++ b/Data/BloomFilter.hs
@@ -93,7 +93,8 @@ import Control.Monad (liftM, forM_)
 import Control.Monad.ST (ST, runST)
 import Control.DeepSeq (NFData(..))
 import Data.Array.Base (unsafeAt, unsafeRead, unsafeWrite)
-import Data.Array.ST (STUArray, thaw, unsafeFreeze)
+import Data.Array.ST (STUArray, thaw)
+import Data.Array.Unsafe (unsafeFreeze)
 import Data.Array.Unboxed (UArray)
 import Data.Bits ((.&.), (.|.))
 import Data.BloomFilter.Array (newArray)
diff --git a/Data/BloomFilter/Array.hs b/Data/BloomFilter/Array.hs
index e085bbe..d94757a 100644
--- a/Data/BloomFilter/Array.hs
+++ b/Data/BloomFilter/Array.hs
@@ -3,7 +3,8 @@
 
 module Data.BloomFilter.Array (newArray) where
 
-import Control.Monad.ST (ST, unsafeIOToST)
+import Control.Monad.ST (ST)
+import Control.Monad.ST.Unsafe (unsafeIOToST)
 import Data.Array.Base (MArray, STUArray(..), unsafeNewArray_)
 #if __GLASGOW_HASKELL__ >= 704
 import Foreign.C.Types (CInt(..), CSize(..))
-- 
1.9.1

